Subject: bug#46532: plantuml in pure environment does not find X11

From: Efraim Flashner <[email-masked]>
Date: Tue, 16 Feb 2021 11:32:25 +0200

On Mon, Feb 15, 2021 at 01:52:42PM +0100, Dr. Arne Babenhauserheide wrote:
> Dear Guix hackers,
> 
> when installing plantuml in a pure environment, it throws an java.awt.AWTError: Can't connect to X11 window server using ':1' as the value of the DISPLAY variable.
> 
> To reproduce:
> 
> $ guix environment --ad-hoc --pure plantuml -- plantumlNo protocol specified
> Exception in thread "main" java.awt.AWTError: Can't connect to X11 window server using ':1' as the value of the DISPLAY variable.
> 	at sun.awt.X11GraphicsEnvironment.initDisplay(Native Method)
> 	at sun.awt.X11GraphicsEnvironment.access$200(X11GraphicsEnvironment.java:65)
> 	at sun.awt.X11GraphicsEnvironment$1.run(X11GraphicsEnvironment.java:115)
> 	at java.security.AccessController.doPrivileged(Native Method)
> 	at sun.awt.X11GraphicsEnvironment.<clinit>(X11GraphicsEnvironment.java:74)
> 	at java.lang.Class.forName0(Native Method)
> 	at java.lang.Class.forName(Class.java:264)
> 	at java.awt.GraphicsEnvironment.createGE(GraphicsEnvironment.java:103)
> 	at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(GraphicsEnvironment.java:82)
> 	at java.awt.image.BufferedImage.createGraphics(BufferedImage.java:1181)
> 	at net.sourceforge.plantuml.FileFormat.<clinit>(FileFormat.java:93)
> 	at net.sourceforge.plantuml.Option.<init>(Option.java:97)
> 	at net.sourceforge.plantuml.Run.main(Run.java:93)
> 
> When I leave out --pure, it works, so I assume that a dependency on X11
> might be missing.
> 

I have the following scriptlet that someone shared for running eolie in
a container. I'm guessing it could be modified to run platuml if needed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted